"use strict";

// NOTE: We don't actually inherit from the real Error here, because collecting stacktraces is very expensive and largely useless for our purposes. Validatem's own error reporting is clear enough, and if not, that's a bug in Validatem anyway.
function ValidationError(message, properties) {
	this.message = message;

	Object.assign(this, {
		path: [],
		___validatem_isValidationError: true,
		___validatem_errorVersion: 1
	});

	Object.assign(this, properties);
}

ValidationError.prototype.name = "ValidationError";

module.exports = ValidationError;
module.exports.__modulePath = __dirname;
